🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Current Vimshottari Dasha By Given Date

Get current vimshottari dasha by Date
POSThttps://json.astrologyapi.com/v1/current_vdasha_date

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

dasha_datestringrequired

Date of Dasha, eg: 8-02-2024

curl --location 'https://json.astrologyapi.com/v1/current_vdasha_date' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "dasha_date": "8-02-2024"
}'
Try it

Runs with sample data — no API key needed

{
  "major": {
    "planet": "Venus",
    "planet_id": 5,
    "start": "2-5-2001  8:7",
    "end": "2-5-2021  8:7"
  },
  "minor": {
    "planet": "Rahu",
    "planet_id": 7,
    "start": "1-7-2008  23:7",
    "end": "2-7-2011  17:7"
  },
  "sub_minor": {
    "planet": "Rahu",
    "planet_id": 7,
    "start": "1-7-2008  23:7",
    "end": "13-12-2008  7:49"
  },
  "sub_sub_minor": {
    "planet": "Jupiter",
    "planet_id": 4,
    "start": "26-7-2008  14:49",
    "end": "17-8-2008  12:47"
  },
  "sub_sub_sub_minor": {
    "planet": "Venus",
    "planet_id": 5,
    "start": "6-8-2008  9:25",
    "end": "10-8-2008  1:4"
  }
}